## org.eclipse.datatools.connectivity.ui.actions
Class ImportProfileViewAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.connectivity.ui.actions.ImportProfileViewAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class ImportProfileViewAction

extends org.eclipse.jface.action.Action
implements org.eclipse.core.commands.IHandler, org.eclipse.ui.IViewActionDelegate

Ideally, this class should be split into two, one is for Action, the other is for View Action.

Author:
  shongxum & brianf

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ImportProfileViewAction()` Constructor

Method Summary
`void` `addHandlerListener(org.eclipse.core.commands.IHandlerListener listener)`
`void` `dispose()`
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`void` `init(org.eclipse.ui.IViewPart view)`
`void` `init(org.eclipse.swt.widgets.Shell parentShell)` Initialize the shell for use as the parent shell of the action's dialog.
`boolean` `isCompleted()`
`void` `removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`
`void` `run()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.commands.IHandler
`isEnabled, isHandled`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ImportProfileViewAction

    public ImportProfileViewAction()

  Constructor

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`

### init

    public void init(org.eclipse.swt.widgets.Shell parentShell)

  Initialize the shell for use as the parent shell of the action's dialog. Use this method when the action is extended to run without being associated with a view.

  Parameters:
    `parentShell` -

### addHandlerListener

    public final void addHandlerListener(org.eclipse.core.commands.IHandlerListener listener)

  Specified by:
    `addHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### dispose

    public final void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.core.commands.IHandler`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### removeHandlerListener

    public void removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `removeHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### isCompleted

    public boolean isCompleted()

  Returns: